#!/bin/sh
#/****************************************************************************/
#/*                 Copyright by FUJITSU Limited 2004-2008                   */
#/*                                                                          */
#/*                           All Rights Reserved                            */
#/*                                                                          */
#/* # $Name: CT-SVMCO-1_0_0-0 $                                                              */
#/****************************************************************************/
#
#PS4='+$LINENO: '
#set -o xtrace


# $1:number of histories
# $2:key of file name
lotate() {
    local i
    local count

    if [ "$#" -ne 2 ] ; then
        return 1
    fi

    count=$1

    rm -f $count.$2*

    while [ "$count" -gt 0 ]
    do
      files=`echo $((count - 1)).$2*`
      for i in $files ; do
          mv -f $i $count.${i#$((count - 1)).} 2> /dev/null
      done
      count=$((count - 1))
    done

    return 0
}

